CREATE TABLE NZB
(
 id INTEGER PRIMARY KEY,
 uiTitle TEXT,
 destinationPath TEXT,
 nzbFileName TEXT,
 statusText TEXT,
 isPaused INTEGER,
 state INTEGER,
 totalDownloadSize INTEGER,
 downloadedSize INTEGER,
 progress INTEGER,
 usedSmartPar2Skip INTEGER
);

CREATE TABLE File
(
 id INTEGER PRIMARY KEY,
 nzbid INTEGER,
 path TEXT,
 fileName TEXT,
 state INTEGER,
 fileSize INTEGER,
 FOREIGN KEY (nzbid) REFERENCES NZB(id)
);

CREATE TABLE FileArticle
(
 id INTEGER PRIMARY KEY,
 fileid INTEGER,
 articleId TEXT,
 state INTEGER,
 articleSize INTEGER,
 downloadedArticleSize INTEGER,
 fileStartIndex INTEGER,
 fileEndIndex INTEGER,
 hasValidCRC INTEGER,
 FOREIGN KEY (fileid) REFERENCES File(id)
);

CREATE TABLE FileGroup (
 fileid INTEGER,
 groupName TEXT,
 FOREIGN KEY (fileid) REFERENCES File(id)
);

CREATE INDEX idx_File_nzbid ON File(nzbid);
CREATE INDEX idx_FileArticle_fileid ON FileArticle(fileid);
CREATE INDEX idx_FileGroup_fileid ON FileGroup(fileid);